brlapi_describedKeyCode_t(3)

NAME
brlapi_describedKeyCode_t

SYNOPSIS

#include <brlapi.h>

  Data Fields
const char * type
const char * command
unsigned int argument
unsigned int flags
const char * flag [64 - BRLAPI_KEY_FLAGS_SHIFT]
brlapi_expandedKeyCode_t values

Detailed Description

Structure holding the components of a key code as returned by brlapi_describeKeyCode()

Field Documentation

  unsigned int brlapi_describedKeyCode_t::argument
the argument value

  const char* brlapi_describedKeyCode_t::command
the command name

  const char* brlapi_describedKeyCode_t::flag[64 - BRLAPI_KEY_FLAGS_SHIFT]
the flag names

  unsigned int brlapi_describedKeyCode_t::flags
the flag count

  const char* brlapi_describedKeyCode_t::type
the type name

  brlapi_expandedKeyCode_t brlapi_describedKeyCode_t::values
the actual values of the components

Author

Generated automatically by Doxygen for BrlAPI from the source code.